Bug 1551627 - Automate code from git does not work for repositories without master
Summary: Automate code from git does not work for repositories without master
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Automate
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.8.4
Assignee: mkanoor
QA Contact: Dmitry Misharov
URL:
Whiteboard:
Keywords: ZStream
Depends On: 1508881
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-03-05 15:03 UTC by Satoe Imaishi
Modified: 2018-06-25 14:18 UTC (History)
7 users (show)

(edit)
Clone Of: 1508881
(edit)
Last Closed: 2018-06-25 14:17:44 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:1972 None None None 2018-06-25 14:18 UTC

Comment 2 CFME Bot 2018-03-05 18:21:17 UTC
New commit detected on ManageIQ/manageiq/fine:
https://github.com/ManageIQ/manageiq/commit/b4a852def79a19120ed910765923a65c09315e56

commit b4a852def79a19120ed910765923a65c09315e56
Author:     Jason Frey <fryguy9@gmail.com>
AuthorDate: Mon Feb 26 14:46:39 2018 -0500
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Mon Mar 5 10:10:55 2018 -0500

    Merge pull request #16690 from mkanoor/fixed_hang_issues
    
    Support Automate Git repos without master branch
    (cherry picked from commit 2b45079611e9d17f2c1e5f0930cb17ede23b3fbc)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1551627

 lib/git_worktree.rb                                |  43 +++++++++++++--------
 spec/fixtures/git_repos/no_master.git/HEAD         |   1 +
 spec/fixtures/git_repos/no_master.git/config       |   6 +++
 .../43/0ff1dcee43d2e8a12c3ba36f5ff20e46136152      | Bin 0 -> 63 bytes
 .../44/f84e202a8eb9d8d35fc183ae8637db3b003aa8      |   1 +
 .../78/3878cb3ed5964c75767141176c80f7d528abb5      | Bin 0 -> 153 bytes
 .../95/99fdeb034597d90d72d2f58396dee096885b79      | Bin 0 -> 59 bytes
 .../ae/fde3a01f6e10d72fd4899ce14c8b2654d3eb45      | Bin 0 -> 56 bytes
 .../e3/16f7d7548ea8f874c872ff3be04f4e9849833b      | Bin 0 -> 152 bytes
 .../e6/9de29bb2d1d6434b8b29ae775ad8c2e48c5391      | Bin 0 -> 15 bytes
 .../fd/b4bc8c22f4b3ca8279c2e1eb92670893473d05      |   2 +
 spec/fixtures/git_repos/no_master.git/packed-refs  |   3 ++
 .../fixtures/git_repos/no_master.git/refs/.gitkeep |   0
 .../git_repos/no_master.git/refs/tags/tag1         |   1 +
 .../git_repos/no_master.git/refs/tags/tag2         |   1 +
 spec/lib/git_worktree_spec.rb                      |  19 +++++++++
 16 files changed, 61 insertions(+), 16 deletions(-)
 create mode 100644 spec/fixtures/git_repos/no_master.git/HEAD
 create mode 100644 spec/fixtures/git_repos/no_master.git/config
 create mode 100644 spec/fixtures/git_repos/no_master.git/objects/43/0ff1dcee43d2e8a12c3ba36f5ff20e46136152
 create mode 100644 spec/fixtures/git_repos/no_master.git/objects/44/f84e202a8eb9d8d35fc183ae8637db3b003aa8
 create mode 100644 spec/fixtures/git_repos/no_master.git/objects/78/3878cb3ed5964c75767141176c80f7d528abb5
 create mode 100644 spec/fixtures/git_repos/no_master.git/objects/95/99fdeb034597d90d72d2f58396dee096885b79
 create mode 100644 spec/fixtures/git_repos/no_master.git/objects/ae/fde3a01f6e10d72fd4899ce14c8b2654d3eb45
 create mode 100644 spec/fixtures/git_repos/no_master.git/objects/e3/16f7d7548ea8f874c872ff3be04f4e9849833b
 create mode 100644 spec/fixtures/git_repos/no_master.git/objects/e6/9de29bb2d1d6434b8b29ae775ad8c2e48c5391
 create mode 100644 spec/fixtures/git_repos/no_master.git/objects/fd/b4bc8c22f4b3ca8279c2e1eb92670893473d05
 create mode 100644 spec/fixtures/git_repos/no_master.git/packed-refs
 create mode 100644 spec/fixtures/git_repos/no_master.git/refs/.gitkeep
 create mode 100644 spec/fixtures/git_repos/no_master.git/refs/tags/tag1
 create mode 100644 spec/fixtures/git_repos/no_master.git/refs/tags/tag2

Comment 3 Dmitry Misharov 2018-05-24 08:20:23 UTC
Fixed and verified in 5.8.4.3.20180515170411_29cc195. Git repository without master branch can be successfully imported.

Comment 5 errata-xmlrpc 2018-06-25 14:17:44 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:1972


Note You need to log in before you can comment on or make changes to this bug.